Name:           komparator
Version:        0.8
Release: 	1%{?dist}
Summary:        Kompare and merge two folders

Group:          Development/Tools
License:        GPLv2
URL:            http://komparator.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/komparator/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-devel, desktop-file-utils

%description
Kompare and merge two folders.
They will be searched for duplicate files and empty folders.

%prep
%setup -q
%{__sed} -i "s|\%u \%u|\%u|" src/%{name}.desktop

%build
%configure \
        %ifarch x86_64 \
        --enable-libsuffix=64 \
        %endif \
         --disable-rpath

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

HTML_DIR=$(kde-config --expandvars --install html)

# this is junk
rm -rf $RPM_BUILD_ROOT$HTML_DIR/%{name} 

# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

# Desktop.
desktop-file-install  --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/komparator.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/komparator
%{_datadir}/applications/*
%{_datadir}/icons/*/*/*/komparator.png
%{_datadir}/icons/*/*/*/komparator_working.mng


%changelog
* Thu Oct 11 2007 Neal Becker <ndbecker2@gmail.com> - 0.7-1
- Update to 0.8

* Fri Aug 31 2007 Neal Becker <ndbecker2@gmail.com> - 0.7-1
- Update to 0.7

* Tue Aug 28 2007 Neal Becker <ndbecker2@gmail.com> - 0.6-3
- Fix .desktop entry for F8

* Tue Aug 28 2007 Neal Becker <ndbecker2@gmail.com> - 0.6-2
- Fix summary
- Add changelog
- Fix license
- Fix desktop-file-install
